#![allow(missing_docs)]

/// https://webidl.spec.whatwg.org/#idl-DOMString
pub type DOMString = String;

/// https://dom.spec.whatwg.org/#interface-element

pub struct Element {
    pub id: DOMString,
    pub class_name: DOMString,

    pub title: DOMString,
    pub lang: DOMString,
    pub translate: bool,
    pub dir: DOMString,
    pub hidden: bool,
    pub inert: bool,

    pub access_key: DOMString,
    pub access_key_label: DOMString,
    pub draggable: bool,
    pub spellcheck: bool,
    pub autocapitalize: DOMString,
    pub inner_text: DOMString,
    pub outer_text: DOMString,
}
